Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000200Frama-CKernelpublic2009-07-23 14:282014-02-12 16:56
Reporternstouls 
Assigned Tosignoles 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionFrama-C GIT, precise the release id 
Target VersionFixed in VersionFrama-C Beryllium-20090901 
Summary0000200: Error while linking lib/plugins/Jessie.cmo
DescriptionHi,

With the current SVN version of Frama-C and CVS version of Why, if I try to make a statically linked version of Frama-C with :

   ./configure --with-jessie-static --with-ltl_to_acsl-static

then the make command ends with :

    Linking bin/toplevel.byte
    Error while linking lib/plugins/Jessie.cmo:
    Reference to undefined global `Jc'
    make: *** [bin/toplevel.byte] Erreur 2



Additional InformationVersions :
  Objective Caml toplevel, version 3.10.2
  Frama-C svn ID : 5825
TagsNo tags attached.
Attached Files

- Relationships
related to 0000227closedsignoles Static linking of the jessie plugin fails when using a non-local Jc 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2009-07-23 14:28 nstouls New Issue
2009-07-24 15:07 signoles Status new => assigned
2009-07-24 15:07 signoles Assigned To => signoles
2009-07-24 15:30 svn Checkin
2009-07-24 15:30 svn Status assigned => resolved
2009-07-24 15:30 svn Resolution open => fixed
2009-08-26 11:25 signoles Fixed in Version => Frama-C Beryllium
2009-09-02 10:52 signoles Relationship added related to 0000227
2009-09-02 10:54 signoles Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker